POST /v1/dashboard/logout

Ends the dashboard session and clears its cookie. Public; a request without a session is still a success.

Auth. None. Anyone can call this route.

Responses

StatusMeaningBody
204Signed out—
429Too many requests from this client address. Wait the number of seconds in Retry-After, then try again.Error

Code samples

Set KEY to your own token first.

curl

curl \
  -X POST \
  "https://api.sasek.org/ledger/v1/dashboard/logout"

JavaScript

const res = await fetch("https://api.sasek.org/ledger/v1/dashboard/logout", {
  method: "POST",
});
const data = await res.json();

Python

import json
import os
import urllib.request

request = urllib.request.Request(
    "https://api.sasek.org/ledger/v1/dashboard/logout",
    method="POST",
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))